> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-sv-bsv/bsv_verifymessage.md).

# verifymessage - Bitcoin SV

Example code for the verifymessage json-rpc method. Сomplete guide on how to use verifymessage json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`address` - string, required

The btc address to use for the signature.

`signature` - string, required

The signature provided by the signer in base 64 encoding (see signmessage).

`message` - string, required

The message that was signed.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "verifymessage",
"params": ["1D1ZrZNe3JUo7ZycKEYQQiQAWd9y54F4XX", "signature", "my message"],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": {
        "isvalid": false
    }
}
```
